# Dokumentation

Dropper Template Integration für das NOVA Template (JTL Shop 5) und davon abgeleiteten (Child-) Templates.

## Hinweise für JTL-Shop 4 Nutzer

Wenn du Dropper in einem EVO (oder ein darauf basierendem) Template verwendet und nun auf JTL-Shop 5 und das NOVA Template gewechselt hast, lies dir die Hinweise bitte genau durch! 

**Beachte:** auch in JTL-Shop 5 gibt es eine EVO Template. Die bisherige EVO Templateintegration haben wir entsprechend aktualisiert, sie sollte also für JTL-Shop 4 und JTL-Shop 5 funktionieren.

### Besonderheiten des Nova Templates

Im NOVA Template verhält sich **der Inhaltsbereich einer Seite** anders als im EVO Template. Fügst du Inhalte mit dem Selektor `#content` oder der Drop Zone `@page.content`
ein (bspw. um deine Startseite mit Inhalten zu füllen), werden die Inhalte im NOVA Template über die volle Breite des Bildschirms gestreckt -ein Verhalten, dass man meist so nicht möchte. 

Abhilfe schafft hier, den [Drop Container](https://kreativkonzentrat.de/wiki/dropper/details/styling#cmsanchor-dropcontainer) zu verwenden, um den Inhalten die zusätzliche CSS Klasse `container` zuzuweisen. Tust du das, fügt sich der Inhalt deines Drops in die sonstigen NOVA Inhalte ein.

### Nicht mehr vorhandene Zonen 

Die Zonendefination dieser NOVA Templateintegration basiert auf der Zonendefinition der EVO Templateintegration (JTL-Shop 4). 
Einige Funktionen sind in JTL-Shop 5 weggefallen (bsp. Tags oder Umfragen), einige EVO Templatebestandteile exisitieren nicht mehr. Deswegen sind auch **einige Drop Zonen komplett wegfallen**. Wenn du diese Zonen verwendet hast und auf das NOVA Template wechselst, werden deine Drops nicht mehr angezeigt. 

Nachfolgend eine gruppierte **Liste der entfernten Zonen**:

- Boxen: `*.boxes.filterTag`, `*.boxes.poll`, `*.boxes.tagCloud`, `*.boxes.globalCharacteristic($index)`
- globale Header-Elemente: `@page.header.cmsPages`, `@page.header.topbar.userSettings`, `@page.header.inner`
- globale Seiten-Elemente: `@page.sidebarRight`, `@page.frame`
- globale Footer-Elemente: `@page.footer.additional`
- Produktdetailseiten: `@product.tabs.tags`, `@product.configurator.sidebar`
- Produktlisting: `@listing.pagination.top.currentPage`, `@listing.pagination.top.totalProducts`, `@listing.pagination.bottom.numberPagination`, `@listing.secondaryFilter($index)`
- Kaufabwicklung: `@checkout.registerOrLogin`, `@checkout.chooseOrderType`
- Account: `@account.navigation`, `@account.billingAddress`, `@account.buttons`
- Gruppen auf Sitemap Seite: `*.sitemapGroups.group($index)`
- Diverse: `@wishlist.overview`, `@surveyOverview`, `@survey`, `@listing.improveSearch.activeFilters.boxBody`, `@newsOverview.posts.boxTitle`,`@newsOverview.posts.boxBody`

**Tipp**: du kannst die [Suche im Dropper Backend](https://kreativkonzentrat.de/wiki/dropper/details/organisieren#cmsanchor-dropssuchen) nutzen, um nach diesen Zonen zu suchen!

# Changelog

**1.1.1 - 30.11.2021**

- Evo nicht mehr als Fallback nutzen.

**1.1.0 - 11.10.2021**

- Anpassung an Integrationen-Spezifikation 1.0.1

**1.0.5 - 27.09.2021**

- Bugfix: Die Template-Zone für das Flex-Menu `@page.header.flexMenu` wird in der Kaufabwicklung nicht mehr erstellt um damit dem Standard des NOVA-Templates zu folgen.
- Bugfix: OPC-Elemente im Selektor-Finder ignorieren.

**1.0.4 - 07.07.2021**

- Klassen / ID Blacklist angepasst

**1.0.3 - 10.05.2021**

- Feature: Platzhalter-Zone für das Flex Menu Drop ergänzt

**1.0.2 - 15.04.2021**

- Bugfix: Slider Artikel wrappen um eine bessere Darstellung zu erreichen

**1.0.1 - 15.02.2021**

- Initiales Release für produktiven JTL-Shop 5

**1.0.0 - 18.07.2018**

- Initiales Release (JTL-Shop 5 Beta)
